## com.google.common.io
Class CountingOutputStream

    java.lang.Object
      java.io.OutputStream
          java.io.FilterOutputStream
              com.google.common.io.CountingOutputStream

All Implemented Interfaces:
  Closeable, Flushable

    @Beta
    public final class CountingOutputStream

extends FilterOutputStream

An OutputStream that counts the number of bytes written.

Since:
  1.0
Author:
  Chris Nokleberg

Field Summary

Fields inherited from class java.io.FilterOutputStream
`out`

Constructor Summary
`CountingOutputStream(OutputStream out)` Wraps another output stream, counting the number of bytes written.

Method Summary
`long` `getCount()` Returns the number of bytes written.
`void` `write(byte[] b, int off, int len)`
`void` `write(int b)`

Methods inherited from class java.io.FilterOutputStream
`close, flush, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CountingOutputStream

    public CountingOutputStream(OutputStream out)

  Wraps another output stream, counting the number of bytes written.

  Parameters:
    `out` - the output stream to be wrapped

Method Detail

### getCount

    public long getCount()

  Returns the number of bytes written.

### write

    public void write(byte[] b,
                      int off,
                      int len)
               throws IOException

  Overrides:
    `write` in class `FilterOutputStream`
  Throws:
    `IOException`

### write

    public void write(int b)
               throws IOException

  Overrides:
    `write` in class `FilterOutputStream`
  Throws:
    `IOException`

Copyright © 2010-2012. All Rights Reserved.